Skip to content

ErpHub API (1)

API for ErpHub

Download OpenAPI description
Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/accounting/erp-hub/openapi/erphub-openapi
ErpHub API
https://erphub-api.aritma.io
ErpHub API (Dev)
https://erphub-api.dev.aritma.io

Account

Handles account related operations.

Operations

Bookkeeping

Handles the bookkeeping for the client

Operations

Updates the priority for all bookkeeping rules associated with the specified client. All rules must be included in the request, identified by their unique rule IDs. Missing or unknown rules will result in a validation error.

Request

Path
clientIdstring(uuid)required
BodyArray [
ruleIdstring(uuid)

The unique identifier of the rule

priorityinteger(int32)

The priority you want to assign to this rule

]
[ { "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac", "priority": 0 } ]

Responses

No Content

Response
No content

Replaces the existing transaction filters of a specific bookkeeping rule for the given client. The rule is identified by its unique rule ID. All current filters will be removed and replaced with the filters provided in the request body.

Request

Path
clientIdstring(uuid)required
ruleIdstring(uuid)required
BodyArray [
fieldstring(BookkeepingFilterField)
Enum"Amount""Currency""ReferenceNumber""ArchiveReference""Description""InvoiceNumber""StructuredReference""AdditionalText""DebtorAddress""BookedAmount"
operationstring(FilterMatchType)
Enum"ExactText""ContainsText""StartsWithText""EndsWithText""ExactAmount""FromZeroToAmount""BelowAmount""AboveAmount"
importancestring(FilterImportanceType)
Enum"Required""Optional"
valuestringrequired

Gets or sets the value used in the filtering operation.

Example: "\n For example, if the filter is \"Field = AccountNumber, Operation = Equals, Value = '1234',\" \n the filter will match all records where the AccountNumber is '1234'.\n "
]
[ { "field": "Amount", "operation": "ExactText", "importance": "Required", "value": "\n For example, if the filter is \"Field = AccountNumber, Operation = Equals, Value = '1234',\" \n the filter will match all records where the AccountNumber is '1234'.\n " } ]

Responses

OK

Bodyapplication/json
linksobjectread-only
clientIdstring(uuid)
ruleIdstring(uuid)
Response
application/json
{ "links": { "property1": { … }, "property2": { … } }, "clientId": "5e505642-9024-474d-9434-e5a44f505cc5", "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac" }

Replaces the existing transaction units of a specific bookkeeping rule for the given client. The rule is identified by its unique rule ID. All current units will be removed and replaced with the units provided in the request body.

Request

Path
clientIdstring(uuid)required
ruleIdstring(uuid)required
BodyArray [
unitOptionValueIdstringrequired

Gets or sets the option value associated with the unit.

unitValueIdstringrequired

Gets or sets the unit value associated with the unit.

]
[ { "unitOptionValueId": "string", "unitValueId": "string" } ]

Responses

OK

Bodyapplication/json
linksobjectread-only
clientIdstring(uuid)
ruleIdstring(uuid)
Response
application/json
{ "links": { "property1": { … }, "property2": { … } }, "clientId": "5e505642-9024-474d-9434-e5a44f505cc5", "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac" }

Clients

Handles ERP client related operations

Operations

Connection

Handles the connection between the ERPHub and the ERP

Operations

Integrations

Operations

Mandates

Controller for managing mandates.

Operations

Pay

Handles pay related operations.

Operations

Transaction

Handles ERP transaction related operations

Operations

Voucher

Controller responsible for handling voucher operations in the ERP Hub.

Operations